Bug 991181 - External network unreachable in KVM guest with current Rawhide live image
External network unreachable in KVM guest with current Rawhide live image
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
All All
unspecified Severity high
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 15:19 EDT by Adam Williamson
Modified: 2015-06-29 08:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:08:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journalctl -a output after booting with enforcing=0 (129.52 KB, text/plain)
2013-08-01 15:20 EDT, Adam Williamson
no flags Details
audit.log after booting with enforcing=0 (205.47 KB, text/plain)
2013-08-01 15:21 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2013-08-01 15:19:21 EDT
I've been building and testing live images from Rawhide periodically recently. With selinux-policy 3.12.1-68 they would not boot to a desktop at all unless you passed 'enforcing=0'. With -69 my newest live image does reach the GNOME desktop in a KVM with enforcing mode on, but I can only ping 192.168.122.1 (the host machine) - trying to ping any external network host (www.google.com etc) gives 'Network is unreachable'. If I boot with enforcing=0 the network works fine.

sealert does not show any AVCs after I work around #991175 . I'll attach journalctl and /var/log/audit/audit.log .
Comment 1 Adam Williamson 2013-08-01 15:20:22 EDT
Created attachment 781724 [details]
journalctl -a output after booting with enforcing=0
Comment 2 Adam Williamson 2013-08-01 15:21:10 EDT
Created attachment 781725 [details]
audit.log after booting with enforcing=0
Comment 3 Daniel Walsh 2013-08-02 10:46:12 EDT
I have no idea what could be going wrong here. Could you send me a link where I can download the image?
Comment 4 Adam Williamson 2013-08-02 12:14:06 EDT
http://adamwill.fedorapeople.org/20130801-desktop-x86_64.iso . I expect it'll show up in the official nightlies too, but the most recent one as of writing failed to compose (I fixed up the issues preventing compose and included the fixed builds in my test compose).
Comment 5 Adam Williamson 2013-08-02 12:14:31 EDT
Damn, sorry, didn't mean to post that yet - it's still uploading. It should be uploaded in approx 35 minutes.
Comment 6 Adam Williamson 2013-08-02 12:48:29 EDT
Done uploading now, download away!
Comment 7 Daniel Walsh 2013-08-02 15:51:32 EDT
Won't even boot for me.
Comment 8 Fedora End Of Life 2013-09-16 10:58:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 9 Fedora End Of Life 2015-05-29 05:14:09 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-06-29 08:08:53 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.